## org.jvnet.maven.plugin.antrun
Class ResolveAllTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.jvnet.maven.plugin.antrun.DependencyGraphTask
                  org.jvnet.maven.plugin.antrun.ResolveAllTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class ResolveAllTask

extends DependencyGraphTask

Transitively resolve dependencies, perform some filtering first on the graph data model, then on list data model, and deliver the resulting set of artifacts in various forms (as a new `Path` object, into a directory, etc.)

Author:
  Kohsuke Kawaguchi, Paul Sterk

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ResolveAllTask()`

Method Summary
`void` `add(GraphFilter child)` Adds a `GraphFilter` child.
`void` `execute()`
`void` `setClassifier(java.lang.String classifier)` Instead of resolving the artifact as appeared in the dependency graph, resolve a specific classifier.
`void` `setPathId(java.lang.String pathId)`
`void` `setStripVersion(boolean stripVersion)` If set to true, destination file names won't have version encoded in them.
`void` `setTodir(java.io.File todir)`

Methods inherited from class org.jvnet.maven.plugin.antrun.DependencyGraphTask
`buildGraph, setArtifactId, setBaseGraph, setGroupId, setTolerateBrokenPOMs, setType, setVersion`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveAllTask

    public ResolveAllTask()

Method Detail

### setTodir

    public void setTodir(java.io.File todir)

### setPathId

    public void setPathId(java.lang.String pathId)

### setClassifier

    public void setClassifier(java.lang.String classifier)

  Instead of resolving the artifact as appeared in the dependency graph, resolve a specific classifier. This is normally used to gather source jars.

  Overrides:
    `setClassifier` in class `DependencyGraphTask`

### setStripVersion

    public void setStripVersion(boolean stripVersion)

  If set to true, destination file names won't have version encoded in them.

  Parameters:
    `stripVersion` - destination file name to have version or not

### add

    public void add(GraphFilter child)

  Adds a `GraphFilter` child. Ant will invoke this for each child element given in build script.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Copyright © 2011. All Rights Reserved.